function latm=atmloss_vs_elevation(el,f)
% Given empirical values from "Radiowave Propagation in Satellite
% Communications" by L. J. Ippolito, Jr., V. Nostrand-Reinhold, this
% function make an interpolation to obtain losses for different angles.
ellist=el ;
for i=1:length(el)
  el=ellist(i) ;
  % Given preset values
  list_el=[0 2.5 5 10 30 45 90 ] ;
  list_loss=[10.2 4.6 2.1 1.1 0.4 0.3 0] ;
  % a and b are indices for values to interpolate between
  a=find(list_el<el,1,'last') ;
  b=find(list_el>=el,1 ,'first') ;
  if (el<=list_el(1))
    loss=list_loss(1) ;
  elseif (el>list_el(end))
    loss=list_loss(end) ;
  else
    slope=(list_loss(b)-list_loss(a))/(list_el(b)-list_el(a)) ;
    loss=list_loss(a)+slope*(el-list_el(a)) ;
  end
  latm(i)=loss ;

end

end