%
% Defines physical constants used by other functions. All constants will be
% stored as a variable into the work space when executed.
%
% SYNTAX:
% constants ;
%
% Author: Sigvald Marholm
% Copyright: 04.11.2011
%

Re=6371.00e3;  % Mean Earth Radius [m]
mu=398600.4418e9;  % Gravitational Parameter of the Earth [m^3/ ^2]
h_default=600e3;  % Default height/altitude of orbit [m]
c_0=299792458; % Speed of light in vacuum [m/s]