%=============================NOTES=======================================
% This script make the main operations for link_budget.m, is called from
% that template and yields result that are used for plots. It can also be
% run byitself whether link data has been loaded. Lines to calculate Eb/No
% for two different data rate and respective operations to obtain both 
% Link Margin have been added.
%========================================================================
%SIGNAL PATH
%
P_tx=10*log10(P_tx_w) ;  % Transmitted Power [dBW]

P_eirp=P_tx-L_tx_tl+G_tx ;
% EIRP[dBW]=
      %Transmitted Power[dBW]-TX Transmission Line Losses[dB]+TX Antenna Gain [dBi]

P_rx_iso=P_eirp-L_tx_pnt-L_rain-L_fspl-L_plf-L_atm-L_ion ;
% Isotropically Received Power[dBW]=
        %EIRP [dBW]-TX Pointing Loss[dB]-Rain Loss [dB]-FSPL[dB]-PLF [dB]-Atmospheric Loss[dB]-Ionospheric Loss[dB]

P_rx=P_rx_iso+G_rx-L_rx_pnt-L_rx_tl ;
% Received Power [dBW]=
     % Isotropically Received Power[dBW]+RX Antenna Gain[dBi]-RX Pointing Loss[dB]-RX Transmission Line Losses [dB]
%
% NOISE PATH
%
K=-228.6 ; % Boltzman's constant [dBW/K/Hz]
T_db=10*log10(T) ; % Effective Noise Temperature [dBK]
B_db=10*log10(B) ; % RX (Noise) Bandwidth [dBHz]

No=K+T_db ;  %(No=kT)
% Noise density[dBW/Hz]=              
   % Boltzman's constant[dBW/K/Hz] + Effective Noise Temperature[dBK]

N=No+B_db ;  %(N=kTB)
% Received Noise Power [dBW]=
    % Noise density[dBW/Hz]+RX (Noise) Bandwidth[dBHz]

%
% SNR
%
SNR=P_rx-N ; % Signal to Noise ratio[dB]
%LM_snr=SNR-SNR_thr ;  % Link Margin (in SNR) [dB]

%
% Eb/No
%
R1_db=10*log10(R1) ; % Data rate 9600 [dBHz]
R2_db=10*log10(R2) ; % Data rate 1800 [dBHz]

SNo=P_rx-No ; % Signal to noise density ratio [dBHz]
  % 9600
EbNo_96=SNo-R1_db ; % Bit energy to noise density ratio, 9600bps [dB]
  % 1800
EbNo_18=SNo-R2_db; % Bit energy to noise density ratio, 1800bps [dB]

%
% Link Margin
% 
  % FSK
LM_ebno96_fsk=EbNo_96-EbNo_thr_fsk ; % Link Margin (in Eb/No) [dB]
LM_ebno18_fsk=EbNo_18-EbNo_thr_fsk ; % Link Margin (in Eb/No) [dB]

  % PSK
LM_ebno96_psk=EbNo_96-EbNo_thr_psk ; % Link Margin (in Eb/No) [dB]
LM_ebno18_psk=EbNo_18-EbNo_thr_psk ; % Link Margin (in Eb/No) [dB]
%
% G/T
%
GT=G_rx-L_rx_tl-T_db ; % G/T Figure o f Merit


