function fspl=fspl_vs_los(l,f,varargin)
%
% Free space loss (FSPL) (dB is default ) ver sus line of sight (LOS)
% distance (in meters) .
%
% SYNTAX:
% fspl=fspl_vs_los(l,f)
% fspl=fspl_vs_los(l,f,'lin' )
%
% l-line-of-sight (LOS) distance [m]
% f-frequency [Hz]
% 'lin'-keyword to get FSPL in linear scale instead of dB
%
% l can be a vector of different distances. Then fspl will also be a vector
% of the corresponding FSPLs.
%
% Author : Sigvald Marholm
% Copyright : 04.11.2011
%

constants ;

% Keyword parser
linscale=false ;
for i=1:length(varargin)
  if(isequal(varargin{i},'lin'))
     linscale=true ;
  end
end

if (linscale)
  fspl=(4*pi.*l.*f./c_0).^2 ;
else
fspl=20*log10(l)+20*log10(f)-147.5522167781166 ;
end

end