function import_vars(fname,column)
% import_vars(fname,column)
% This function is primarily written for importing link budget parameters
% but can be used in a more generic manner as?is.
%
% link_data.txt is the name of the file to be imported.
% 
% The file can have several sections separated by lines of ============
% The variables are stored in the 2nd section like this:
%
% Header Comments (my file.txt)
%       Set 1   Set 2   Set 3
% =================================
% cool  100      200     300
% fun   40.4     5.5     6e3
% =================================
% Footer Comments
%
% The column argument is which column to import as the variable's values.
% In our example, import_vars ('my file.txt',2) will be equivalent to writing
% cool=200;
% fun=5.5 ;
%

% Create the regexp pattern that extracts the variable name and value
pattern='%s'; %Extract var . name
for i=1:column-1
  pattern=strcat(pattern,' %*f') ; %Ignore (column?1) values
end
pattern=strcat(pattern,' %f' ) ; % Extract column value

section=1 ; % Which section of file .
            % Each section is seperated by =======

fh=fopen(fname) ;
while 1
    fline=fgetl(fh) ;
  if(fline==-1) %End?of?file
     fclose(fh) ; 
     break ;
  end
if(length(fline)>0)
    if (fline(1)=='=')
      section=section+1 ; % Section separation detected
    else
     if (section==2) % This is where the variables are at
        A = textscan (fline, pattern,'MultipleDelimsAsOne',true)  ;
        varname = A(1) ;
        varvalue = A(2) ;
        varname = varname{1}{1} ;
        varvalue = varvalue{1} ;
         varvalue = varvalue(1) ;
        evalin('caller',strcat(varname,'=',num2str(varvalue),';')) ;
     end
    end
end
end
end