function lion=ionloss_vs_elevation(el,f)
% Given values from STK simulation, this function make an 
% interpolation to obtain ionospheric losses for different angles.
% List values includes losses due to Scintillation and Cloud&Fog.
ellist=el ;
for i=1:length(el)
  el=ellist(i) ;
  
% Given preset values for 145.9 MHz
if f==145.9*1e6
  list_el=[0.1 2.12 4.12 6.10 7.98 10.13 20.14 29.68 40.27 49.7 63.39 70.87 80 90 ] ;
  list_loss=[44.18 11.17 0.9 1.65 1.52 2.01 1.36 1.23 1.07 1.04 1.02 1.01 1.01 1.01] ;
  % a and b are indices for values to interpolate between
  a=find(list_el<el,1,'last') ;
  b=find(list_el>=el,1 ,'first') ;
  if (el<=list_el(1))
    loss=list_loss(1) ;
  elseif (el>list_el(end))
    loss=list_loss(end) ;
  else
    slope=(list_loss(b)-list_loss(a))/(list_el(b)-list_el(a)) ;
    loss=list_loss(a)+slope*(el-list_el(a)) ;
  end
  lion(i)=loss ;
end

% Given preset values for 438 MHz
if f==438*1e6
  list_el=[0.1 2.12 4.12 6.10 7.98 10.13 20.66 31.75 40.27 51.11 63.39 70.87 80 90] ;
  list_loss=[47.95 15.05 1.72 1.33 1.17 0.93 1.26 0.95 0.82 1.56 1.42 1.3 1.3 1.3] ;
  % a and b are indices for values to interpolate between
  a=find(list_el<el,1,'last') ;
  b=find(list_el>=el,1 ,'first') ;
  if (el<=list_el(1))
    loss=list_loss(1) ;
  elseif (el>list_el(end))
    loss=list_loss(end) ;
  else
    slope=(list_loss(b)-list_loss(a))/(list_el(b)-list_el(a)) ;
    loss=list_loss(a)+slope*(el-list_el(a)) ;
  end
  lion(i)=loss ;
end

end

end