function l=los_vs_elevation(el,h)
%%%%%%CALCULATE SLANT RANGE%%%%%%
% Line-of-sight (LOS) distance (in meters) versus elevation angle (in
% degrees). Assuming circular orbit (or constant altitude) .
%
% SYNTAX:
% l=los_vs_elevation(el)
% l=los_vs_elevation(el,h)
%
% h-height/altitude of satellite [m] (default:600e3)
% el-elevation angle [degree]
%
% el can be a vector of different elevation angles. Then l will also be a
% vector of the corresponding line-of?sight distances .
%
% Author: Sigvald Marholm
% Copyright:04.11.2011
%
constants ;
if(nargin <2)
h=h_default ;
end
el=el*pi/180;
l=sqrt((Re*sin(el)).^2+2*Re*h+h.^2)-Re*sin(el) ;
end