% This code generates the Bit Error Rate as a function of Eb/No
% for BFSK and BPSK modulation schemes. It was calculated using
% theoretical form.
 
EbNo_dB=0:15 ;
 
 for i=1:length(EbNo_dB) 
 
  EbNo(i)=10^((EbNo_dB(i))/10) ;
  BER_BFSK(i)= 0.5*(erfc(sqrt(0.5*(EbNo(i))))) ;
  BER_BPSK(i)= 0.5*(erfc(sqrt(EbNo(i)))) ;
    
 end 
  
 figure
 for i=1:length(EbNo_dB)
   semilogy(EbNo_dB,BER_BFSK,'m') ;
   hold on
   semilogy(EbNo_dB,BER_BPSK,'b') ;
   hold on
 end
 grid 
 legend('BFSK', 'BPSK') ;
 xlabel('Eb/No[dB]') ;
 ylabel('Bit Error Probability (Pe)') ;
 axis([0 15 1e-6 1e-2]) ;
 
 %Plot "zoom" for BER=10e-5%
 figure
 for i=1:length(EbNo_dB)
   semilogy(EbNo_dB,BER_BFSK,'m') ;
   hold on
   semilogy(EbNo_dB,BER_BPSK,'b') ;
   hold on
 end
 grid 
 legend('BFSK', 'BPSK') ;
 xlabel('Eb/No[dB]') ;
 ylabel('Bit Error Probability (Pe)') ;
 axis([0 15 1e-5 1e-2]) ;
  
  