function data=stk_remove_spurious(data)
% This function remove spurios spikes that STK produces due to a bug in the
% elevation angle at the beginning /end of a pass .

%N=size(data,1) ;

% This is a logical vector (filled with ones and zeros) that indicate where
% there is an increase from a given sample to the next one .
increase=data(1:end-1,7)<data(2:end,7) ;

% This logical vector indicate where there is a decrease from a given
% sample to the next one .
decrease=[~increase;0] ;

% Now it represents whether a given sample has increased w.r.t . the
% previous sample. I.e. if increase (34)==1 then data(34,7) is larger than
% the previous elevation, data(33,7) .
increase=[0;increase] ;

% This is a logical vector representing all the separators
sep=all(ismember(data,[ 0 0 0 0 0 0 0 ]),2) ;

% These are logical vectors representing the samples before and after the
% separators
presep=[sep(2:end);0] ;
postsep=[0;sep(1:end-1)] ;

% This is a logical vector representing the elements where the sample
% before the separator increased w.r.t. the one before that. That is a
% spurious elevation angle, a bug from STK. We know that it is below 1 , we
% will set it to 0 to fix it .
%spur=or(and(presep,increase),and(postsep,~increase)) ;
spur=or(and(presep,increase),and(postsep,decrease)) ;
data(spur,7)=0;

end